Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.tooling.model.eclipse
[Java] Interface EclipseTask

    org.gradle.tooling.model.eclipse.EclipseTask
      org.gradle.tooling.model.Task

All Superinterfaces:
  Task

    @Deprecated
    public interface EclipseTask
    extends Task

Deprecated because gradle tasks are not associated with eclipse projects.

Method Summary
`EclipseProject` | `getProject()` {@inheritDoc}

Methods inherited from interface Task
getDescription, getName, getPath, getProject

Method Detail

### getProject

    public EclipseProject getProject()

  {@inheritDoc}

Gradle API 1.1-rc-1